org.apache.commons.collections4.iterators

## Class AbstractEmptyMapIterator<K,V>

- java.lang.Object
- - org.apache.commons.collections4.iterators.AbstractEmptyMapIterator<K,V>

- Type Parameters:
    `K` - the type of keys
    `V` - the type of mapped values
  Direct Known Subclasses:
    EmptyMapIterator, EmptyOrderedMapIterator

      public abstract class AbstractEmptyMapIterator<K,V>
      extends Object

  Provides an implementation of an empty map iterator.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEmptyMapIterator()` Create a new AbstractEmptyMapIterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E obj)`
    `K` | `getKey()`
    `V` | `getValue()`
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `E` | `next()`
    `int` | `nextIndex()`
    `E` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `reset()`
    `void` | `set(E obj)`
    `V` | `setValue(V value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractEmptyMapIterator

          public AbstractEmptyMapIterator()

      Create a new AbstractEmptyMapIterator.

  - ### Method Detail

    - #### getKey

          public K getKey()

    - #### getValue

          public V getValue()

    - #### setValue

          public V setValue(V value)

    - #### hasNext

          public boolean hasNext()

    - #### next

          public E next()

    - #### hasPrevious

          public boolean hasPrevious()

    - #### previous

          public E previous()

    - #### nextIndex

          public int nextIndex()

    - #### previousIndex

          public int previousIndex()

    - #### add

          public void add(E obj)

    - #### set

          public void set(E obj)

    - #### remove

          public void remove()

    - #### reset

          public void reset()

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.